// 白名单路由处理：①需要token白名单路由②不需要token白名单路由
// ①需要token白名单路由。正常配置。"一定不能" 以"/white-route"前缀开头
// ②不需要token白名单路由。路由必须以"/white-route"前缀开头
/**
 * eg:
 * [
 *   {
 *      path: `/white-route/xxx`, // xxx路由地址
 *      name: 'xxx', // xxx路由名称
 *      component: () => import('~/XXX'), // xxx路由组件
 *   },
 * ]
 */

const whiteList = [];

// https://webpack.js.org/guides/dependency-management/#requirecontext
const apiFiles = require.context("../route", true, /\.js$/);

// eslint-disable-next-line
 apiFiles.keys().forEach((path) => {
  if (path !== "./index.js") {
    const value = apiFiles(path);
    (value.default || []).forEach((item) => {
      whiteList.push(item);
    });
  }
});

export { whiteList };

export default [];
